/*
 * Créé le 5 mars 2004
 *
 * Pour changer le modèle de ce fichier généré, allez à :
 * Fenêtre&gt;Préférences&gt;Java&gt;Génération de code&gt;Code et commentaires
 */
package org.esupportail.portal.channels.CAnnuaire;

/**
 * @author sgaudin
 *
 * Pour changer le modèle de ce commentaire de type généré, allez à :
 * Fenêtre&gt;Préférences&gt;Java&gt;Génération de code&gt;Code et commentaires
 */
public class itemTable {


	/**
	 * Represente le code de l'élément
	 */
	private String code;
	
	/**
	 * Represente la valeur de l'élément
	 */
	private String value;
	
	/**
	 * Represente la valeur de l'élément qui sert de tri
	 */
	private String orderValue;

	public static void main(String[] args) {
	}

	/**
	 * Retourne le code de l'élément
	 * 
	 * @return le code
	 */
	public String getCode() {
		return code;
	}

	/**
	 * Retroune la valeur de tride l'élément
	 * 
	 * @return la valeur de tri
	 */
	public String getOrderValue() {
		if (orderValue != null)
			return orderValue;
		else
			return value;
	}

	/**
	 * Retroune la valeur de l'élément
	 * 
	 * @return la valeur
	 */
	public String getValue() {
		return value;
	}

	/**
	 * Définit le code de l'élément
	 * 
	 * @param string
	 */
	public void setCode(String string) {
		code = string;
	}

	/**
	 * Définit la valeur de tri de l'élément
	 * 
	 * @param string
	 */
	public void setOrderValue(String string) {
		orderValue = string;
	}

	/**
	 * Définit la valeur de l'élément
	 * 
	 * @param string
	 */
	public void setValue(String string) {
		value = string;
	}

}
